camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: [DISCUSS] - Apache Camel 2.10 release
Date Tue, 08 May 2012 17:04:28 GMT
On Tuesday, May 08, 2012 05:00:50 PM Christian Müller wrote:
> For private reasons I cannot work on Camel 2.10.0 as I want. I will do my
> best to resolve my two outstanding issues in the next week. If this is not
> possible, it's no problem to postpone it to Camel 2.10.1.
> 
> The only one issue which is not resolved at the moment and I worked on
> (it's not assigned to anybody at present) and which should be resolved in
> Camel 2.10.0 in my opinion is:
> CAMEL-4955: Camel should run in a Java 7 environment
> May be we have a voluntary which could support me? The Jenkins build
> results are here [1].

I've pretty much picked this up for you.   I'm at a point now where all of 
Camel *BUILDS* other that quickfix.   All of the component/* unit tests now 
pass as well (although some randomly fail, but that's no different than with 
J6).   I'm getting a bunch of failures in the itests.   That's next to look 
at.

Dan



> 
> If I have a few hours left, I will also have a look on some other/smaller
> enhancements which could go into Camel 2.10.0.
> 
> [1]
> https://builds.apache.org/view/A-F/view/Camel/job/Camel.trunk.fulltest.jav
> a7/
> 
> Best,
> Christian
> 
> On Mon, May 7, 2012 at 4:27 PM, Claus Ibsen <claus.ibsen@gmail.com> wrote:
> > Hi
> > 
> > I think its time we start close down on a Camel 2.10 release. The
> > 2.9.0 release was on January 1sy 2012, so its been 4.5 months since
> > that release. Yes in between there has been 2 patch releases, eg
> > 2.9.1, and 2.9.2 etc.
> > 
> > There is some new components added in Camel 2.10, and most of them now
> > have adequate documentation.
> > But I think a few is missing. The camel-leveldb is essentially a copy
> > of the camel-hawtdb component, so the documentation is fairly easy as
> > it would be a copy, and then some adjustments. The camel-leveldb is
> > not yet OSGi compliant. We may need to push that for Camel 2.11 or a
> > patch release of 2.10.
> > 
> > When the AMQ 5.6.0 release is out, we can bump that in the camel-jms
> > testing, to ensure we test against that release.
> > 
> > In the JIRA tracker there is 70+ unresolved tickets scheduled for 2.10
> > 
> > https://issues.apache.org/jira/secure/IssueNavigator.jspa?reset=true&jql
> > Query=project+%3D+CAMEL+AND+fixVersion+%3D+%222.10.0%22+AND+resolution+%
> > 3D+Unresolved
> > 
> > We may be able to push some for 2.10.1, or 2.11.
> > I will create a 2.10.1 version so people can move tickets to this
> > version.
> > 
> > 
> > --
> > Claus Ibsen
> > -----------------
> > CamelOne 2012 Conference, May 15-16, 2012: http://camelone.com
> > FuseSource
> > Email: cibsen@fusesource.com
> > Web: http://fusesource.com
> > Twitter: davsclaus, fusenews
> > Blog: http://davsclaus.blogspot.com/
> > Author of Camel in Action: http://www.manning.com/ibsen/
-- 
Daniel Kulp
dkulp@apache.org - http://dankulp.com/blog
Talend Community Coder - http://coders.talend.com


Mime
View raw message